package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统配置信息对象 sys_config_api
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class SysConfigApi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** key */
    @Excel(name = "key")
    private String paramKey;

    /** value */
    @Excel(name = "value")
    private String paramValue;

    /** 状态   0：隐藏   1：显示 */
    @Excel(name = "状态   0：隐藏   1：显示")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParamKey(String paramKey) 
    {
        this.paramKey = paramKey;
    }

    public String getParamKey() 
    {
        return paramKey;
    }
    public void setParamValue(String paramValue) 
    {
        this.paramValue = paramValue;
    }

    public String getParamValue() 
    {
        return paramValue;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("paramKey", getParamKey())
            .append("paramValue", getParamValue())
            .append("status", getStatus())
            .append("remark", getRemark())
            .toString();
    }
}
